---
title: "GET /blueprints/tests/{guid} - Blueprints · RUAL Documentation"
description: "Get test results for a blueprint"
canonical: https://docs.rual.nl/cluster/api/blueprints/blueprints-tests--guid-get
language: en
---

# GET /blueprints/tests/{guid}

Get test results for a blueprint

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **guid** required | `string` | `"example"` | Blueprint GUID |

| Key | Type | Example | Description |
| --- | --- | --- | --- |
| **[authorization](https://docs.rual.nl/cluster/api#token-providing)** required | `string` | `"Bearer access_token"` | Access token |

```
[
  {
    "_meta": {
      "created": 1782166695,
      "entity": 1,
      "guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
      "modified": 1782166695,
      "updated": 1782166695
    },
    "action_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "blueprint_guid": "c45797061f2c15a75361042244385e96419d230ab804d7fa08cd52981fd78192",
    "created_by_user_guid": "a23575f49d0af385314c1f02280163374297e018a692e5e4ab85eb307ebf6ebc",
    "data": "{\"user_created\": true, \"welcome_email_sent\": true}",
    "description": "Validates that user registration creates account and sends welcome email",
    "error": "Expected user_created to be true but got false",
    "execution_time": 1250.5,
    "is_active": true,
    "last_run": 1640995200,
    "name": "Test user registration flow",
    "prefilled_data": "{\"email\": \"test@example.com\", \"username\": \"testuser\"}"
  }
]
```

```
{
  "code": 401,
  "error": "INVALID_ACCESS_TOKEN"
}
```

| Status | Error Code | Description |
| --- | --- | --- |
| `401` | `INVALID_ACCESS_TOKEN` | Authentication required or invalid token |

| Permission | Description |
| --- | --- |
| `Bearer token` | Access token required via Authorization header, x-authtoken, x-token, query param, or cookie |
| `blueprints_view` | Required scope: blueprints_view |
